WP Smush Setting not Available

Since the Wordpress update I am unable to see/adjust the Smush Settings. It this a common error?

  • Luís

    Hi Dean ,

    Hope you're doing well today!

    This is not a commom error, I tested in my install and I was unable to replicate.

    1) Could you follow the flowchart of the below page to determine if another plugin may be conflicting with this?

    https://premium.wpmudev.org/manuals/getting-support/

    2) Can you enable the debug flags in your wp-config.php to check if any error was saved?

    define( 'WP_DEBUG', true );
    define( 'WP_DEBUG_LOG', true );

    It will be saved to a debug.log file inside the "wp-content" folder. Can you share it with us?

    https://codex.wordpress.org/Debugging_in_WordPress

    Note: Save the file as a .txt, because the .log extension is not allowed in the attachments.

    Also, can you give us access to your admin panel, so we can check your issue?

    If you don't already know, please, follow the link below, to see how enable the staff login:

    http://premium.wpmudev.org/manuals/wpmu-dev-dashboard-enabling-staff-login/

    When you enable this option, please post again!

    Cheers, Luís

  • James Morris

    Hello Dean,

    Enabling debug should never cause a site to crash unless there is a syntax error in the the declaration. I'll be happy to take a look and help you get your site going again.

    In order to help you better with your issue, would you please grant me access to your site and server?

    Please visit the Contact page and complete the form with the following information:

    Select "I have a different question" from the drop-down box.

    Subject: "Attn: James Morris"

    In the Message box, please provide the following:

    - link back to this thread for reference
    - any other relevant urls

    - Admin login:
    Admin username
    Admin password
    Login url

    - Hosting Control Panel Login
    Admin username
    Admin password
    Login url

    - FTP credentials
    host
    username
    password
    (and port if required)

    Best regards,

    James Morris

  • Dean

    Hello James,

    I will begin the process.

    In the meantime I have checked the error logs. They are returning:

    [Mon Dec 12 03:20:02.844498 2016] [proxy_fcgi:error] [pid 3320:tid 139993420330752] [client 180.76.15.148:44022] AH01071: Got error 'PHP message: PHP Warning: require_once(/opt/bitnami/apps/wordpress/htdocs/wp-config.php): failed to open stream: Permission denied in /opt/bitnami/apps/wordpress/htdocs/wp-load.php on line 37\nPHP message: PHP Fatal error: require_once(): Failed opening required '/opt/bitnami/apps/wordpress/htdocs/wp-config.php' (include_path='.:disappointed:opt/bitnami/php/lib/php') in /opt/bitnami/apps/wordpress/htdocs/wp-load.php on line 37\n'

    line 37 = require_once( dirname( ABSPATH ) . '/wp-config.php' );

    I suspect that when we updated the wp-config file using Cyberduck it modified the owner/access to the file.

  • James Morris

    Hello Dean,

    Yes, I do believe this is a permission issue regarding that error. I was able to log into your site, so I assume you've already fixed this part. I've replied via email requesting the additional access so I will be able to test your issues with Smush.

    If you did not receive an email in the last hour, please check your spam/junk folders and any filters you may have setup.

    I look forward to digging into this issue further for you.

    Best regards,

    James Morris

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.